List task attachments (metadata)
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 9,
"task_id": 77,
"filename": "quote.pdf",
"content_type": "application/pdf",
"size_bytes": 88211,
"uploaded_by_member_id": 42,
"uploaded_at": "2026-09-03T11:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Projects
List task attachments (metadata)
Files attached to a card — names and sizes only, no download links.
GET
/
v1
/
project-tasks
/
{task_id}
/
attachments
List task attachments (metadata)
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 9,
"task_id": 77,
"filename": "quote.pdf",
"content_type": "application/pdf",
"size_bytes": 88211,
"uploaded_by_member_id": 42,
"uploaded_at": "2026-09-03T11:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Files attached to a card — names and sizes only, no download links.
Required scope:
projects:read
{
"status": "success",
"data": [
{
"id": 9,
"task_id": 77,
"filename": "quote.pdf",
"content_type": "application/pdf",
"size_bytes": 88211,
"uploaded_by_member_id": 42,
"uploaded_at": "2026-09-03T11:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
Query Parameters
Required for association-wide keys; must match the key's chapter for chapter-bound keys.
Required range:
x >= 0Required range:
1 <= x <= 200
